const Dao = require("../../dao.base");
class diagnosisDao extends Dao {
  constructor () {
    super(Dao.getModelName(diagnosisDao));
  }
  async findAndCountAll (query) {
    return await this.model.findAndCountAll(query)
  }

  async update (param, id) {
    return await this.model.update(param, { where: { id } })
  }

  async findOneOrderByCreateAt (uid) {
    return await this.model.findOne({
      where: {
        channel_user_Id: uid
      },
      order: [
        ["updated_at", "desc"]
      ],
      raw: true
    });
  }
}
module.exports = diagnosisDao;